.burger {
    background: linear-gradient(135deg, #CA5EFF 0%, #004FDE 100%);

    &__logo {
        font-family: $top-font;
        font-style: normal;
        font-weight: 700;
        font-size: 40px;
        line-height: 48px;
        letter-spacing: 1px;
        color: #FFFFFF;
        margin-right: auto;
    }

    &__menu {
        position: fixed;
        width: 100%;
        height: 100%;
        top: -9999px;
        left: 0;
        transition: 0.3s top ease-in-out;
        z-index: 2;
    }

    &__menu-flex {
        display: flex;
        margin-top: 23px;
    }


    &__icon {
        margin-left: 8px;
        width: 48px;
        height: 48px;
        border: 1px solid rgba(255, 255, 255, 0.3003);
        border-radius: 50%;
        display: none;
        justify-content: center;
        align-items: center;
        background-color: unset;
        transition: 0.1s all;
        cursor: pointer;

        &:hover {
            border: 2px solid white;
        }
    }

    &__close {
        background-color: unset;
        transition: 0.1s all;
        cursor: pointer;
    }


    &__menu--show {
        top: 0;
        left: 0;
        z-index: 3;
    }

    &__list {
        text-align: center;
        margin-top: 16px;
    }

    &__list-item {
        margin-top: 27px;
        font-family: $sub-font;
        font-style: normal;
        font-weight: 300;
        font-size: 24px;
        line-height: 50px;
        text-align: center;
        color: #FFFFFF;
    }

    &__social {
        justify-content: center;
        margin-top: 43px;
    }
}


@media screen and (max-width: 770px) {
    .burger {

        &__icon {
            display: flex;
        }
    }
}